	.386
	.model	use32 small


	extrn exp2 : proc, allerrl : PROC, negerrl : proc
	public	_powl
	.data

nm	db	"powl",0

	.code


_powl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+20]
	fld1
	fld	tbyte ptr [ecx]
	fyl2x
	fld	tbyte ptr [edx]
	call	exp2
	fldz
	fld	tbyte ptr [ecx]
	fcompp
	fnstsw	ax
	fwait
	sahf
	jnc	notneg
	fld	tbyte ptr [edx]
	lea	eax,[nm]
	call	negerrl
notneg:
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end